libetonyek::IWORKChainedTokenizer Class Reference

`#include <IWORKChainedTokenizer.h>`

Inheritance diagram for libetonyek::IWORKChainedTokenizer:

## Public Member Functions
| IWORKChainedTokenizer (const IWORKTokenizer &tokenizer, const IWORKTokenizer &next)
int | getId (const char *name) const override
int | getQualifiedId (const char *name, const char *ns) const override
Public Member Functions inherited from libetonyek::IWORKTokenizer
virtual | ~IWORKTokenizer ()=0

## Private Attributes
const IWORKTokenizer & | m_tokenizer
const IWORKTokenizer & | m_next

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKTokenizer
| IWORKTokenizer ()

## Constructor & Destructor Documentation

## ◆ IWORKChainedTokenizer()

libetonyek::IWORKChainedTokenizer::IWORKChainedTokenizer | ( | const IWORKTokenizer & | tokenizer,
|  | const IWORKTokenizer & | next )

## Member Function Documentation

## ◆ getId()

int libetonyek::IWORKChainedTokenizer::getId | ( | const char * | name | ) | const
| override virtual

Implements libetonyek::IWORKTokenizer.

## ◆ getQualifiedId()

int libetonyek::IWORKChainedTokenizer::getQualifiedId | ( | const char * | name,
|  | const char * | ns ) const
| override virtual

Implements libetonyek::IWORKTokenizer.

## Member Data Documentation

## ◆ m_next

const IWORKTokenizer& libetonyek::IWORKChainedTokenizer::m_next
| private

Referenced by getId(), getQualifiedId(), and IWORKChainedTokenizer().

## ◆ m_tokenizer

const IWORKTokenizer& libetonyek::IWORKChainedTokenizer::m_tokenizer
| private

Referenced by getId(), getQualifiedId(), and IWORKChainedTokenizer().

The documentation for this class was generated from the following files:

- IWORKChainedTokenizer.h
- IWORKChainedTokenizer.cpp